安装nodejs

问题

需要 nodejs version >8 ,yum 安装版本为 6.x

安装过程

1 二进制包安装

1
2
3
4
5
6
7
8
9
10
11
12
#wget https://nodejs.org/dist/v8.12.0/node-v8.12.0.tar.gz
wget https://nodejs.org/dist/v8.12.0/node-v8.12.0-linux-x64.tar.xz
mv node-v8.12.0-linux-x64.tar.xz /var/opt/
cd /var/opt/
xz -d node-v8.12.0-linux-x64.tar.xz
tar xf node-v8.12.0-linux-x64.tar.xz
#backup old node and npm
mv /usr/bin/node /usr/bin/node.bak
mv /usr/bin/npm /usr/bin/npm.bak

ln -s /var/opt/node-v8.12.0-linux-x64/bin/node /usr/bin/node
ln -s /var/opt/node-v8.12.0-linux-x64/bin/node /usr/bin/node

2 源码安装

参考

https://blog.csdn.net/xerysherryx/article/details/78920978